%
%%
%%% Quanser's Hexapod 2 Parameters Definition %%%
%%
%

%
% CAUTION: DO NOT EDIT THIS FILE.
%          Otherwise, Hexapod might not function properly.
%


%%% Mechanical Parameters %%%

% Coupling Cirumference
Circ = 10e-3;

% Radius 
r = Circ/2/pi;
% Encoder Resolution: 2500 lines per rev at Quadrature
K_ENC = 2*pi/10000;

% Calibration Limit Position (m)
Q_LIMIT_MAX = 322.5e-3; 
Q_LIMIT_MIN = 30.5e-3;

% Dynamic Collision Avoidance
q_upper         = Q_LIMIT_MAX;
q_lower         = Q_LIMIT_MIN;
min_separation  = 155e-3;


%%% Motor Parameters %%%

% Motor Torque Constant
Kt = 19.3*0.0254*0.2780139;

% Max Current - Software (A)
CURRENT_MAX = 5;


%%% Electrical Parameters %%%

% Current to PWM Mapping (%/A)
AtoPWM = 1/5;

% Second Order Filter Coefficients - Software Encorder Rate
Wn_Rate = 1e3;
Zeta_Rate = 1;

% Second Order Filter Coefficients - Velocity and Acceleration
wn_f = 2*pi*30;
zeta_f = 0.9;

%%% Controls Parameters %%%

% Initial delay in receiving status signals (s)
DELAY_INITIAL = 0.05;

% Logical signal masks for enable/disable motors
MOTOR_ENABLE_MASK   = [0 1];
MOTOR_DISABLE_MASK  = [1 1];

% Maximum setpoint velocity and acceleration

% Max Joint Speed - Software (m/s)
QDOT_MAX        = 0.65;
% Max Joint Acceleration - Software (m/s^2)
QDDOT_MAX       = 6.5;

% Max Cartesian Linear Speed - Software (m/2)
XDOT_MAX        = 0.35;
% Max Cartesian Linear Acceleration - Software (m/s^2)
XDDOT_MAX       = 3.5;

% Max Rotational Speed - Software (rad/s)
THETADOT_MAX    = 60*pi/180;
% Max Rotational Acceleration - Software (rad/s^2)
THETADDOT_MAX   = 10*60*pi/180;